# VERSION: 0.0.3

### Versions ###
versions.java=21
# plugins
versions_kotlin=2.2.20
versions_spring_boot=4.0.2
versions_spring_dependency=1.1.7
versions_docker_remote_api=9.4.0
versions_sonarqube=5.1.0.4882
versions_buildtools=0.9.28
# libraries
versions.spring.cloud=2025.1.1
versions.testcontainers=1.18.1
versions.otel=1.12.1
versions.lombok=1.18.36
versions.hibernate.spatial=6.5.1.Final
versions.open-api=3.0.1
versions.spring.boot.admin=4.0.1

# without spring
versions.jackson_databind=2.18.2
versions.logback=1.5.13
versions.slf4j=2.0.16
versions.junit=5.11.4
versions.mockito=5.14.2


versions.classgraph=4.8.168

### Dependencies ###
dep.spring.actuator=org.springframework.boot:spring-boot-starter-actuator
dep.lombok=org.projectlombok:lombok:${versions.lombok}

### Settings ###
sonar.qualitygate.wait=true
sonar.host.url=https://qube.nstest.local
